#!/bin/sh
#
#Modifying avg.conf for further use
#of avg7 with copfilter
#by Severus and karesmakro
#



. /var/log/copfilter/default/etc/global_settings

    cat $BASEDIR/opt/avg/etc/avg.conf |sed -e 's/^location = .*/location = http\:\/\/update\.avg\.com\/softw\/80\/update/' >/tmp/avg.conf.tmp
    mv -f /tmp/avg.conf.tmp $BASEDIR/opt/avg/etc/avg.conf
    cat $BASEDIR/opt/avg/etc/avg.conf |sed -e 's/^timeout = .*/timeout = 30/' >/tmp/avg.conf.tmp
    mv -f /tmp/avg.conf.tmp $BASEDIR/opt/avg/etc/avg.conf

grep update.avg.com $BASEDIR/opt/avg/etc/avg.conf >/dev/null

if [ $? = 0 ]; then
	chmod 0644 $BASEDIR/opt/avg/etc/avg.conf
	chown root:root $BASEDIR/opt/avg/etc/avg.conf
	echo avg.conf sucessfully modified...
else
	echo modifying avg.conf failed...
fi

# Updating Virus Database
# removing old virus database
if [ "x$AVG_ENABLE" = "xon" ]; then
    /usr/local/bin/copfilter_stopavgscan >/dev/null 2>&1
else
    echo -e "Not activated ... do our job ..."
fi

rm -R $BASEDIR/opt/avg/default/data
rm -R $BASEDIR/opt/avg/default/var/update/backup
rm -R $BASEDIR/opt/avg/default/var/update/download

# copying new databases
cp -aR database/data $BASEDIR/opt/avg/default
cp -aR database/update $BASEDIR/opt/avg/default/var

# activating license key
echo
echo "for a working avg service, you have to register again your license key!"
echo
echo -n "Licensekey: "
read answer
if [ ${answer} == "" ]; then
    echo
    echo "no license key entered ... exiting ..."
    exit
fi

. /var/ipcop/main/settings
LD_LIBRARY_PATH=$BASEDIR/opt/avg/lib /var/log/copfilter/default/opt/avg/default/bin/avgscan  -register ${answer}

echo
echo "starting avg service"
if [ "x$AVG_ENABLE" = "xon" ]; then
    /usr/local/bin/copfilter_startavgscan >/dev/null 2>&1
else
    echo -e "Not activated ... no start needed ..."
fi

exit
